HELM(1)

NAME

helm-status - displays the status of the named release

SYNOPSIS

helm status [flags] RELEASE_NAME

DESCRIPTION

This command shows the status of a named release. The status consists of: - last deployment time - k8s namespace in which the release lives - state of the release (can be: UNKNOWN, DEPLOYED, DELETED, SUPERSEDED, FAILED or DELETING) - list of resources that this release consists of, sorted by kind - details on last test suite run, if applicable - additional notes provided by the chart

OPTIONS

--revision=0
    if set, display the status of the named release with revision

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra